Skip to Content

POST Vehicles

Use this endpoint to create a new vehicle within an organization.

User level: Advanced

Endpoint

POST /v1/{scopeId}/vehicles
PropertyValue
MethodPOST
Scope IDOrganization UUID
AuthenticationAuthorization: Bearer <access_token>
Required scoperoutix:vehicles:write
Content-Typeapplication/json
Request bodyJSON object

Allowed create fields

Field
license_plate
name
vehicle_type
status
brand
model
comment

Example request

curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440050/vehicles" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "license_plate": "12-AB-34", "name": "Truck 12", "vehicle_type": "truck", "status": "active" }'

Example response

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440051", "license_plate": "12-AB-34", "name": "Truck 12", "vehicle_type": "truck", "status": "active" }, "version": "v1" }
Last updated on